OpenNMS API 1.2.9

## org.opennms.web.nodelabel
Class NodeLabelChangeServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.nodelabel.NodeLabelChangeServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class NodeLabelChangeServlet
extends javax.servlet.http.HttpServlet

Changes the label of a node, throws an event signalling that change, and then redirects the user to a web page displaying that node's details.

Author:
  Larry Karnowski , OpenNMS
See Also:
  Serialized Form

Field Summary
`protected EventProxy` `proxy`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`NodeLabelChangeServlet()`

Method Summary
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `init()`
`protected void` `sendLabelChangeEvent(int nodeId, NodeLabel oldNodeLabel, NodeLabel newNodeLabel)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proxy

    protected EventProxy proxy

Constructor Detail

### NodeLabelChangeServlet

    public NodeLabelChangeServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### sendLabelChangeEvent

    protected void sendLabelChangeEvent(int nodeId,
                                        NodeLabel oldNodeLabel,
                                        NodeLabel newNodeLabel)
                                 throws EventProxyException

  Throws:
    `EventProxyException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.